<template>
  <card body-classes="p-0">
    <!-- Card header -->
    <h5 slot="header" class="h3 mb-0">Sub Document Checklist</h5>
    <!-- Card body -->
    <b-list-group flush data-toggle="checklist">
      <b-list-group-item class="checklist-entry flex-column align-items-start py-4 px-4"
          v-for="item in items"
          :key="item.title"
      >
        <div class="checklist-item"
             :class="{'checklist-item-checked': item.done, [`checklist-item-${item.checkType}`]: item.checkType}">
          <div class="checklist-info">
            <h5 class="checklist-title mb-0">{{item.title}}</h5>
            <small>{{item.description}}</small>
          </div>
          <div>
            <b-form-checkbox v-model="item.done"
                          :class="`custom-checkbox-${item.checkType}`"/>
          </div>
        </div>

      </b-list-group-item>
    </b-list-group>
  </card>
</template>
<script>
  import { BaseProgress } from '@/components';

  export default {
    components: {
    BaseProgress
    },
    data() {
      return {
        items: [
          {
            title: 'Man Power request Document',
            description: 'Request from HR',
            done: true,
            checkType: 'success'
          },
          {
            title: 'Petty Cash Document',
            description: 'Request From Account',
            done: false,
            checkType: 'warning'
          },
          {
            title: 'Purchse Form',
            description: 'From Procument',
            done: false,
            checkType: 'info'
          },
          {
            title: 'Leave Form',
            description: 'From HR',
            done: true,
            checkType: 'danger'
          },
          {
            title: 'Safety Form Checklist',
            description: 'Print from System',
            done: true,
            checkType: 'success'
          }
        ]
      };
    }
  };
</script>
<style></style>
